Conversions
Retrieve a conversion
GET
/
conversions
/
{conversion_id}
/
Retrieve a conversion
curl --request GET \
--url https://api.tapfiliate.com/1.6/conversions/{conversion_id}/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/conversions/{conversion_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": 1,
"external_id": "ORD123",
"amount": 550,
"click": {
"created_at": "2021-03-03T12:39:19+0000",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"landing_page": "https://tapper.inc/johns-cool-product/"
},
"commissions": [
{
"id": 1,
"conversion_sub_amount": 550,
"amount": 55,
"commission_type": "standard",
"approved": true,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"kind": "regular",
"currency": "USD",
"created_at": null,
"payout": null,
"comment": null,
"final": null,
"commission_name": "standard"
}
],
"program": {
"id": "johns-affiliate-program",
"title": "John's affiliate program",
"currency": "USD"
},
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"customer": {
"id": "cu_eXampl30th3r",
"customer_id": "USER999",
"status": "paying"
},
"affiliate_meta_data": {
"subid1": "baz"
},
"meta_data": {
"foo": "bar",
"tap": "awesome"
},
"created_at": "2021-03-03T12:39:19+0000",
"warnings": null,
"tracking_source": null
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
Numeric id of the conversion to perform action with.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Retrieve a conversion
curl --request GET \
--url https://api.tapfiliate.com/1.6/conversions/{conversion_id}/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/conversions/{conversion_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": 1,
"external_id": "ORD123",
"amount": 550,
"click": {
"created_at": "2021-03-03T12:39:19+0000",
"referrer": "https://example-blog.inc/check-out-johns-product/",
"landing_page": "https://tapper.inc/johns-cool-product/"
},
"commissions": [
{
"id": 1,
"conversion_sub_amount": 550,
"amount": 55,
"commission_type": "standard",
"approved": true,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"kind": "regular",
"currency": "USD",
"created_at": null,
"payout": null,
"comment": null,
"final": null,
"commission_name": "standard"
}
],
"program": {
"id": "johns-affiliate-program",
"title": "John's affiliate program",
"currency": "USD"
},
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"customer": {
"id": "cu_eXampl30th3r",
"customer_id": "USER999",
"status": "paying"
},
"affiliate_meta_data": {
"subid1": "baz"
},
"meta_data": {
"foo": "bar",
"tap": "awesome"
},
"created_at": "2021-03-03T12:39:19+0000",
"warnings": null,
"tracking_source": null
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}